classification
Title: Add tests for pipes module (test_pipes)
Type: Stage:
Components: Tests Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: alanmcintyre, collinwinter, facundobatista, georg.brandl
Priority: normal Keywords: patch

Created on 2007-03-14 19:48 by alanmcintyre, last changed 2007-08-30 10:39 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
pipes-test.tgz alanmcintyre, 2007-03-14 19:48 Diff against 54384 + new test_pipes.py
pipes-tests-2.diff alanmcintyre, 2007-03-17 15:31 Version 2, diff against 54420
Messages (4)
msg52194 - (view) Author: Alan McIntyre (alanmcintyre) * (Python committer) Date: 2007-03-14 19:48
The attached file contains a patch to:
 - remove the "just import it" test for pipes from test_sundry.py
 - add test_pipes to expected skips on win32 in regrtest.py
 - remove the "small test program and example" from pipes.py (it seems to me this is best put in either tests or docs instead of the module itself)

It also includes a new test_pipes.py module.  At the moment this covers about 86% of the pipes.py code; I'll try to get that higher, but I wanted to throw this out there for initial feedback.
msg52195 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-03-16 02:40
Thanks for your patch!

Initial comments:

* test_pipes does not conform to PEP 8 (whitespace issues, line length, etc).
* SVN reports that test_pipes has inconsistent line endings.
* Calling os.path.exists() as a check before os.unlink() creates a race condition; just catch the exception.
* In the future, please include new files in the patch itself. "svn add" the file, then "svn diff" will include it when creating the diff.

Please address these issues.
msg52196 - (view) Author: Alan McIntyre (alanmcintyre) * (Python committer) Date: 2007-03-17 15:31
I adjusted things to conform to PEP 8 (I hope), changed the exists/unlink as suggested, ran reindent.py on test_pipes.py, and included test_pipes.py in the patch.
File Added: pipes-tests-2.diff
msg55475 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-30 10:39
Committed as rev. 57716.
History
Date User Action Args
2007-08-30 10:39:06georg.brandlsetstatus: open -> closed
assignee: facundobatista -> georg.brandl
resolution: accepted
messages: + msg55475
nosy: + georg.brandl
2007-03-14 19:48:12alanmcintyrecreate